# Copyright (c) Huawei Technologies Co., Ltd. 2020-2021. All rights reserved.
# Description: 从dependency_info.conf文件中读取当前对应的MDC版本、ROS版本、依赖包的下载链接和sha256sum等信息
# Create: 2020-12-03

file(READ "${MVIZ_DEVEL_KIT_DIR}/mviz_devel_kit/dependency_info.conf" INFO)

if (NOT DEFINED ROS_DISTRO)
    string(REGEX MATCH "ROS_DISTRO ([a-z]*)" _ ${INFO})
    set(ROS_DISTRO ${CMAKE_MATCH_1})
endif ()

set(IS_BOOST_EXISTS false)
foreach(path IN ITEMS ${CMAKE_FIND_ROOT_PATH})
    if(EXISTS ${path}/usr/include/boost)
        set(IS_BOOST_EXISTS true)
    endif()
endforeach()
if (NOT IS_BOOST_EXISTS)
    message(FATAL_ERROR "No boost is found in the local cross compile environment. Install the header file of the boost into the cross compile environment by referring to the MDC Application Visualizer User Guide.\n")
endif()

if(NOT DEFINED roscpp_URL)
    string(REGEX MATCH "roscpp_URL ([-A-Za-z0-9/:._]*)" _ ${INFO})
    set(roscpp_URL ${CMAKE_MATCH_1})
endif()

if(NOT DEFINED rosconsole_URL)
    string(REGEX MATCH "rosconsole_URL ([-A-Za-z0-9/:._]*)" _ ${INFO})
    set(rosconsole_URL ${CMAKE_MATCH_1})
endif()

if(NOT DEFINED roscpp_serialization_URL)
    string(REGEX MATCH "roscpp_serialization_URL ([-A-Za-z0-9/:._]*)" _ ${INFO})
    set(roscpp_serialization_URL ${CMAKE_MATCH_1})
endif()

if(NOT DEFINED rostime_URL)
    string(REGEX MATCH "rostime_URL ([-A-Za-z0-9/:._]*)" _ ${INFO})
    set(rostime_URL ${CMAKE_MATCH_1})
endif()

if(NOT DEFINED cpp_common_URL)
    string(REGEX MATCH "cpp_common_URL ([-A-Za-z0-9/:._]*)" _ ${INFO})
    set(cpp_common_URL ${CMAKE_MATCH_1})
endif()

if(NOT DEFINED roscpp_traits_URL)
    string(REGEX MATCH "roscpp_traits_URL ([-A-Za-z0-9/:._]*)" _ ${INFO})
    set(roscpp_traits_URL ${CMAKE_MATCH_1})
endif()

if(NOT DEFINED empy_URL)
    string(REGEX MATCH "empy_URL ([-A-Za-z0-9/:._]*)" _ ${INFO})
    set(empy_URL ${CMAKE_MATCH_1})
endif()

if(NOT DEFINED gencpp_URL)
    string(REGEX MATCH "gencpp_URL ([-A-Za-z0-9/:._]*)" _ ${INFO})
    set(gencpp_URL ${CMAKE_MATCH_1})
endif()

if(NOT DEFINED genmsg_URL)
    string(REGEX MATCH "genmsg_URL ([-A-Za-z0-9/:._]*)" _ ${INFO})
    set(genmsg_URL ${CMAKE_MATCH_1})
endif()

if(NOT DEFINED std_msgs_URL)
    string(REGEX MATCH "std_msgs_URL ([-A-Za-z0-9/:._]*)" _ ${INFO})
    set(std_msgs_URL ${CMAKE_MATCH_1})
endif()

if(NOT DEFINED geometry_msgs_URL)
    string(REGEX MATCH "geometry_msgs_URL ([-A-Za-z0-9/:._]*)" _ ${INFO})
    set(geometry_msgs_URL ${CMAKE_MATCH_1})
endif()

if(NOT DEFINED sensor_msgs_URL)
    string(REGEX MATCH "sensor_msgs_URL ([-A-Za-z0-9/:._]*)" _ ${INFO})
    set(sensor_msgs_URL ${CMAKE_MATCH_1})
endif()

string(REGEX MATCH "roscpp_URL_HASH ([a-z0-9]*)" _ ${INFO})
set(roscpp_URL_HASH ${CMAKE_MATCH_1})

string(REGEX MATCH "rosconsole_URL_HASH ([a-z0-9]*)" _ ${INFO})
set(rosconsole_URL_HASH ${CMAKE_MATCH_1})

string(REGEX MATCH "roscpp_serialization_URL_HASH ([a-z0-9]*)" _ ${INFO})
set(roscpp_serialization_URL_HASH ${CMAKE_MATCH_1})

string(REGEX MATCH "rostime_URL_HASH ([a-z0-9]*)" _ ${INFO})
set(rostime_URL_HASH ${CMAKE_MATCH_1})

string(REGEX MATCH "cpp_common_URL_HASH ([a-z0-9]*)" _ ${INFO})
set(cpp_common_URL_HASH ${CMAKE_MATCH_1})

string(REGEX MATCH "roscpp_traits_URL_HASH ([a-z0-9]*)" _ ${INFO})
set(roscpp_traits_URL_HASH ${CMAKE_MATCH_1})

string(REGEX MATCH "empy_URL_HASH ([a-z0-9]*)" _ ${INFO})
set(empy_URL_HASH ${CMAKE_MATCH_1})

string(REGEX MATCH "gencpp_URL_HASH ([a-z0-9]*)" _ ${INFO})
set(gencpp_URL_HASH ${CMAKE_MATCH_1})

string(REGEX MATCH "genmsg_URL_HASH ([a-z0-9]*)" _ ${INFO})
set(genmsg_URL_HASH ${CMAKE_MATCH_1})

string(REGEX MATCH "std_msgs_URL_HASH ([a-z0-9]*)" _ ${INFO})
set(std_msgs_URL_HASH ${CMAKE_MATCH_1})

string(REGEX MATCH "geometry_msgs_URL_HASH ([a-z0-9]*)" _ ${INFO})
set(geometry_msgs_URL_HASH ${CMAKE_MATCH_1})

string(REGEX MATCH "sensor_msgs_URL_HASH ([a-z0-9]*)" _ ${INFO})
set(sensor_msgs_URL_HASH ${CMAKE_MATCH_1})